Subject: [bmwg] Robert Wilton's No Objection on draft-ietf-bmwg-b2b-frame-03: (with COMMENT)

From: Robert Wilton via Datatracker <[email-masked]>
Date: Thu, 17 Dec 2020 05:19:33 -0800

Robert Wilton has entered the following ballot position for
draft-ietf-bmwg-b2b-frame-03: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-bmwg-b2b-frame/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Hi Al,

Thanks for this document.  I mostly found it easy to read with just a few minor
comments:

I agree with Murray's comment that there seems more text capitalized than is
potentially helpful.  Possible words/phrases to check: Obsolete, "Back-to-back
Frames" except when used for "Back-to-back Frame Benchmark", "Data Center",
"Throughput", "Ingress", "Egress", "Frames", "Buffer"

Section 2, para 3:

However,
   conditions simultaneously sending multiple frame sizes, such as those
   described in [RFC6985], MUST NOT be used in Back-to-back Frame
   testing.

I found this sentence slightly hard to parse, rephrasing it might aid
readability.

In section 6, it states "The number of tests Averaged for the Benchmark, N,
MUST be reported."  Should that be illustrated in the "Back-to-Back Frame
Results" table, either as part of the table, or as extra information alongside
it?

Regards,
Rob

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Thu, 17 Dec 2020 20:34:17 +0000

Hi Rob, Thanks for your review and comments!

please see replies below,
Al

> -----Original Message-----
> From: Robert Wilton via Datatracker [mailto:[email-masked]]
> Sent: Thursday, December 17, 2020 8:20 AM
> To: The IESG <[email-masked]>
> Cc: [email-masked]; [email-masked];
> [email-masked]; Sarah Banks <[email-masked]>; [email-masked]
> Subject: Robert Wilton's No Objection on draft-ietf-bmwg-b2b-frame-03:
> (with COMMENT)
> 
> Thanks for this document.  I mostly found it easy to read with just a few
> minor comments:
> 
> potentially helpful.  Possible words/phrases to check: Obsolete, 
[acm] 
Ok

> "Back-to-back Frames" except when used for "Back-to-back Frame Benchmark", 
[acm] 
Note the quote from RFC2544 just prior to section 5.3, capitalizing this term. Just trying to be consistent in this update.

> "Data Center",
[acm] 
ok

> "Throughput",
[acm] 
This is the RFC2544 Throughput benchmark, the capitalization is appropriate.

 "Ingress", "Egress", "Frames", "Buffer"
[acm] 
I have checked these and fixed (but they remain caps in the figure).  

Any others we'll catch later.

> I found this sentence slightly hard to parse, rephrasing it might aid
[acm] 

We are talking about the "IMIX" traffic that test operators insist on running, because they are "closer to the real world" _whatever_that_is_.

I have tried to express the requirement more clearly:

However, conditions simultaneously sending a mixture of Internet frame sizes (IMIX), 
such as those described in [RFC6985], MUST NOT be used in Back-to-back Frame testing.

> Results" table, either as part of the table, or as extra information
> alongside it?
[acm] 

Yes. That's what I meant to indicate with the 3 lines under the Table. I added the text in parentheses to make it more clear.

   Static and configuration parameters (reported with the table above):

   Number of test repetitions, N

   Minimum Step Size (during searches), in frames.

All of this is in the working text, we're nearly ready to push the next version.
thanks again!